Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.reporters
Class IdeOnlyConsoleOutput

    java.lang.Object
      org.jbehave.core.reporters.PrintStreamOutput
          org.jbehave.core.reporters.TxtOutput
              org.jbehave.core.reporters.IdeOnlyConsoleOutput

All Implemented Interfaces:
  StoryReporter

    public class IdeOnlyConsoleOutput

extends TxtOutput

Outputs to the console only if running in an IDE. Command line builds (Maven, Ant) will produce nothing for this particular PrintStreamOutput specialisation.

Nested Class Summary

Nested classes/interfaces inherited from class org.jbehave.core.reporters.PrintStreamOutput
`PrintStreamOutput.Format`

Constructor Summary
`IdeOnlyConsoleOutput()`
`IdeOnlyConsoleOutput(Keywords keywords)`
`IdeOnlyConsoleOutput(Properties outputPatterns, Keywords keywords, boolean reportErrors)`

Method Summary

Methods inherited from class org.jbehave.core.reporters.PrintStreamOutput
`afterExamples, afterScenario, afterStory, beforeExamples, beforeScenario, beforeStep, beforeStory, compressFailureTrace, doCompressFailureTrace, doReportFailureTrace, dryRun, escape, example, failed, failedOutcomes, format, formatTable, givenStories, givenStories, ignorable, lookupPattern, narrative, notPerformed, overwritePattern, pending, pendingMethods, print, reportFailureTrace, restarted, scenarioMeta, scenarioNotAllowed, storyCancelled, storyNotAllowed, successful, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IdeOnlyConsoleOutput

    public IdeOnlyConsoleOutput()

### IdeOnlyConsoleOutput

    public IdeOnlyConsoleOutput(Keywords keywords)

### IdeOnlyConsoleOutput

    public IdeOnlyConsoleOutput(Properties outputPatterns,
                                Keywords keywords,
                                boolean reportErrors)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.